package com.installshield.util;

import java.io.*;
import java.text.DateFormat;
import java.util.Date;

// Referenced classes of package com.installshield.util:
//            Log

public class LogUtils
{

    public LogUtils()
    {
    }

    public static void copyLogContents(String s, String s1, boolean flag)
        throws IOException
    {
        if(s != null && s.trim().length() > 0)
        {
            File file = new File(s);
            if(file.exists() && file.length() != 0L)
            {
                FileInputStream fileinputstream = null;
                BufferedReader bufferedreader = null;
                FileOutputStream fileoutputstream = null;
                PrintWriter printwriter = null;
                try
                {
                    fileinputstream = new FileInputStream(file);
                    bufferedreader = new BufferedReader(new InputStreamReader(fileinputstream));
                    fileoutputstream = new FileOutputStream(s1, flag);
                    printwriter = new PrintWriter(fileoutputstream);
                    String s2 = null;
                    while((s2 = bufferedreader.readLine()) != null) 
	                    printwriter.println(s2);
                    printwriter.flush();
                }
                finally
                {
                    if(fileinputstream != null && bufferedreader != null)
                        try
                        {
                            fileinputstream.close();
                            bufferedreader.close();
                        }
                        catch(Exception _ex) { }
                    if(printwriter != null && fileoutputstream != null)
                        try
                        {
                            printwriter.close();
                            fileoutputstream.close();
                        }
                        catch(Exception _ex) { }
                }
            }
        }
    }

    public static Log getLog()
    {
        if(log == null)
            log = new Log() {

                public void logEvent(Object obj, String s, Object obj1)
                {
                    if(s.equals("err") || s.equals("wrn") || s.equals("err.internal") || s.equals("msg1") || s.equals("msg2"))
                        System.out.println("(" + DateFormat.getDateTimeInstance().format(new Date()) + ")" + ", " + obj.getClass().getName() + ", " + s + ", " + obj1);
                    if(obj1 instanceof Throwable)
                        ((Throwable)obj1).printStackTrace(System.out);
                }

            };
        return log;
    }

    public static final String TEMP_FILE_NAME = "$TEMPFILE";
    private static Log log;
}